require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial","Descargar @Voice","Únete al Grupo de Tutoriales para Ciegos en WhatsApp",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

local bienvenidaMensaje = [[¡Descubre cómo convertir texto a voz con la aplicación @Voice y obtener archivos de calidad con las voces disponibles en MultiTTS! Haz clic en el botón de abajo para acceder al tutorial. Y justo al lado encontrarás otro botón para descargar @Voice. Además, hay otro botón al final para unirte al grupo de WhatsApp 'Tutoriales para Ciegos'. ¡No te lo pierdas!

Atentamente,
Carlos Cázares
Del canal de YouTube 'Tutoriales para Ciegos']]

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "Convierte Texto a Voz con @Voice y Obtén Archivos de Audio de Calidad con las Voces de MultiTTS",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

if v.text == carlos[1] then
openLink("https://youtu.be/nN3tO0gduN8?si=OMb5N8n-EP7JE7ta")
elseif v.text == carlos[2] then
openLink("https://play.google.com/store/apps/details?id=com.hyperionics.avar")
elseif v.text == carlos[3] then
openLink("https://chat.whatsapp.com/KPxdX5LWWkAKjQL8wqLtVJ")
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end  return true